Pave Bank
Accounts/Subaccounts

Create Sub Account

Creates a sub account under the legal entity's parent account.

POST
/v1/accounts/{accountID}/subaccounts

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
descriptionRequiredstring
nameRequiredstring

Path Parameters

accountIDRequiredstring

Response Body

Success response

account_typeRequiredstring
assetRequiredstring

The currency in which the amount is made (e.g. USD, EUR, SGD)

balance_availableRequiredstring
balance_totalRequiredstring
created_atRequiredstring
Format: "date-time"
ibanRequiredstring
idRequiredstring
nameRequiredstring
parent_account_idRequiredstring
curl -X POST "https://developer-api-staging.pavebank.dev/v1/accounts/string/subaccounts" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "string",
    "name": "string"
  }'
{
  "account_type": "string",
  "asset": "string",
  "balance_available": "string",
  "balance_total": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "iban": "string",
  "id": "string",
  "name": "string",
  "parent_account_id": "string"
}